# Utilisation

Ce traitement FMW permet d'extraire la définition d'une ou plusieurs couches postgres, et de générer du code SQL permettant d'intégrer ces couches dans un SQLQueries. Les thèmes de couches sont aussi générés.

En cas d'utilisation hors VAI, attention le nom de la base pour les couches privées est remplacé par la balise $(DB_NAME).

Ce que le traitement fait pour vous : 
- Insertion du thème s'il n'existe pas dans la base destination
- Insertion de la layer
- Insertion de la layerpostgres
- Mise inline des json de formulaire pour gagner de la place
- Protection des quote dans les requêtes
- Mise inline des JS/CSS avec préservation de l'indentation d'origine
- Utilisation de la balise $(DB_NAME) à la place du nom de la base pour remplacement avec VAI, si datasource postgres privée uniquement

# Lancement

Utiliser une version de FME 2021.1 ou plus récente.

Renseigner les infos de connexion à votre base vMap 2.

Vous pouvez changer le chemin de sortie du code sql (par défaut à coté du fmw).

Le filtre s'applique directement sur la table s_vmap2.layer qui est ensuite joint avec s_vmap2.postgreslayer.
Donc quoi que contienne le filtre, seul les couches postgres matchant avec le filtre seront générées.

Attention, en cas d'utilisation avec GTF, le PP permettant de définir le filtre n'est pas protégé contre les injections SQL.

# Compatibilité

Ce traitement a été développé et fonctionne avec la version 2022.05 de vMap mais il n'est pas garanti qu'il fonctionnera pleinement pour les futures versions

# Mise à jour

Merci d'uiliser la même version de FME sauf contre indication, pour faire évoluer le traitement.

Attention de ne pas définir de mot de passe sur le traitement lors de la sauvegarde.